Skip to content
The API may change between versions while TTX-Zone is 0.x.

Get webhook

GET
/api/v1/instance/audit/webhook
curl --request GET \
--url https://example.com/api/v1/instance/audit/webhook \
--cookie ttx_access_token=<ttx_access_token>

The activity log’s SIEM forwarding settings.

Successful Response

Media typeapplication/json
AuditWebhookRead
object
allow_http
required
Allow Http
boolean
configured
required
Configured
boolean
enabled
Enabled
boolean
has_authorization
Has Authorization
boolean
last_error
Any of:
string
last_failure_at
Any of:
string format: date-time
last_status
Any of:
integer
last_success_at
Any of:
string format: date-time
pending
Pending
integer
0
secret
Any of:
string
url
Any of:
string

Example

{
"enabled": false,
"has_authorization": false,
"pending": 0
}